Skip to content

Retrieve A Specific Pick List

Request

Retrieves one pick list including its pick list items.

Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/pick_lists/{id}.xml
curl -i -X GET \
  'https://api.vworkapp.com/v5/pick_lists/{id}.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 00:45:48 GMT"
ETagstring
Example:"W/\"e2230751adba24b473fc7d749eaf7e4c\""
Locationstring
Example:"https://api.vworkapp.com/api/v4/pick_lists"
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"61b47c69-3e67-4f61-bfef-3e13b2af6e73"
X-Runtimestring
Example:"0.733719"
X-Unique-IDstring
Example:"CA7C7B8A:D00F_0A000ED8:01BB_575F53BB_753DA2:1E66"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<pick_list>
    <id>1234</id>
    <name>Delivery Status</name>
    <created_at>2012-02-20T22:52:58+00:00</created_at>
    <updated_at>2012-02-22T10:14:02+00:00</updated_at>
    <pick_list_items type="array">
        <pick_list_item>
            <id>2345</id>
            <value>Delivered</value>
            <created_at>2012-02-20T22:52:58+00:00</created_at>
            <updated_at>2012-02-22T10:14:02+00:00</updated_at>
        </pick_list_item>
        <pick_list_item>
            <id>2346</id>
            <value>Not delivered</value>
            <created_at>2012-02-20T22:52:58+00:00</created_at>
            <updated_at>2012-02-20T22:52:58+00:00</updated_at>
        </pick_list_item>
    </pick_list_items>
</pick_list>